package pl.net.linux.krzak.kchat.sac;
/*****************************/
/* kChat v2.0pre1	     */
/* kChatSac v0.9	     */
/* krzak@linux.net.pl        */
/* Marcin Krzyzanowski       */
/* http://krzak.linux.net.pl */
/* License: GPL              */
/*****************************/
/* Copyright (C) 2001  Marcin Krzyzanowski <krzak@linux.net.pl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
import java.awt.*;
import java.awt.event.*;

public class SacLabel extends java.awt.Label implements WindowListener,ActionListener {
    private Panel panel = new Panel(new BorderLayout());
    private Label  l = new Label();
    private Dialog d = null;

    public SacLabel(String t, int a) {
    l = new Label(t,a);
    }
    
    public synchronized void setText(String t) {
    l.setText(t);
    if (d==null) {
    d = new Dialog(new Frame());
    d.addWindowListener(this);
    d.setSize(100,70);
    Button bOK = new Button("OK");
    bOK.setActionCommand("bOK_OK");
    bOK.addActionListener(this);
    panel.add(l,BorderLayout.CENTER);
    panel.add(bOK,BorderLayout.SOUTH);
    d.add(panel);
    d.setVisible(true);
    }
    }

    public void actionPerformed(ActionEvent e) {
	if (e.getActionCommand().equals("bOK_OK")) {
	d.dispose();
	d=null;
	}
    }
    
    public void windowClosing(WindowEvent e) {  e.getWindow().dispose(); }
    public void windowClosed(WindowEvent e) {  }
    public void windowOpened(WindowEvent e) {  }
    public void windowIconified(WindowEvent e) { }
    public void windowDeiconified(WindowEvent e) { }
    public void windowActivated(WindowEvent e) { }
    public void windowDeactivated(WindowEvent e) { }


}